function H = open_link_inertia_matrix ...
( theta1, theta2, l1,lc1,m1,J1, l2,lc2,m2,J2 )
% JN@\ (2DOF) s
    H11 = J1 + m1*lc1^2 + J2 + m2*(l1^2 + lc2^2 + 2*l1*lc2*cos(theta2));
    H22 = J2 + m2*lc2^2;
    H12 = J2 + m2*(lc2^2 + l1*lc2*cos(theta2));
    H = [H11, H12; H12, H22];
end
