function dotq = open_link_PD_param ...
(t,q, l1,lc1,m1,J1, l2,lc2,m2,J2, g, theta1d,theta2d, Kp1,Kd1, Kp2,Kd2)
% JN@\ (2DOF) PD W`
    theta1 = q(1); theta2 = q(2);
    omega1 = q(3); omega2 = q(4);
    H = open_link_inertia_matrix ( theta1, theta2, l1,lc1,m1,J1, l2,lc2,m2,J2 );
    [ lower, upper ] = open_link_lower_upper_terms ...
        (t, theta1,theta2,omega1,omega2, l1,lc1,m1,J1, l2,lc2,m2,J2, g);
    tau = [ lower - Kp1*(theta1-theta1d) - Kd1*omega1; ...
            upper - Kp2*(theta2-theta2d) - Kd2*omega2 ];
    dotomega = H\tau;
    dotq = [ omega1; omega2; dotomega ];
end
