function [ lower, upper ] = open_link_lower_upper_terms ...
(t, theta1,theta2,omega1,omega2, l1,lc1,m1,J1, l2,lc2,m2,J2, g)
% JN@\ (2DOF) x̓񎟍Əd͍
    h12 = m2*l1*lc2*sin(theta2);
    G1 = (m1*lc1+m2*l1)*g*cos(theta1);
    G12 = m2*lc2*g*cos(theta1+theta2);
    lower = h12*omega2^2 + 2*h12*omega1*omega2 - G1 - G12;
    upper = -h12*omega1^2 - G12;
end
